PLaSK library

Loading...
Searching...
No Matches
Public Member Functions | List of all members
plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT > Struct Template Reference

Implementation of InterpolatedLazyDataImpl which calls src_mesh.interpolateNearestNeighbor(src_vec, dst_mesh). More...

`#include <plask/mesh/interpolation.hpp>`

Inheritance diagram for plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >:
[legend]
Collaboration diagram for plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >:
[legend]

## Public Member Functions
| NearestNeighborInterpolatedLazyDataImpl (shared_ptr< const SrcMeshType > src_mesh, const DataVector< const SrcT > &src_vec, shared_ptr< const MeshD< SrcMeshType::DIM > > dst_mesh, const InterpolationFlags &flags)
SrcT | at (std::size_t index) const override
| Get index-th value from vector.
Public Member Functions inherited from plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >
| InterpolatedLazyDataImpl (const shared_ptr< const SrcMeshType > &src_mesh, const DataVector< const SrcT > &src_vec, const shared_ptr< const MeshD< SrcMeshType::DIM > > &dst_mesh, const InterpolationFlags &flags)
std::size_t | size () const override
| Get the number of elements in this vector.
Public Member Functions inherited from plask::LazyDataImpl< DstT >
virtual | ~LazyDataImpl ()
virtual DataVector< const DstT > | getAll () const
| Get all values as non-lazy vector.
virtual DataVector< DstT > | claim () const

## Additional Inherited Members
Public Types inherited from plask::LazyDataImpl< DstT >
typedef DstT | CellType
Public Attributes inherited from plask::InterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >
shared_ptr< const SrcMeshType > | src_mesh
shared_ptr< const MeshD< SrcMeshType::DIM > > | dst_mesh
DataVector< const SrcT > | src_vec
InterpolationFlags | flags

## Detailed Description

template<typename DstT, typename SrcMeshType, typename SrcT = DstT>
struct plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >

Implementation of InterpolatedLazyDataImpl which calls src_mesh.interpolateNearestNeighbor(src_vec, dst_mesh).

So it can be used if SrcMeshType has such interpolateLinear method.

Definition at line 456 of file interpolation.hpp.

## Constructor & Destructor Documentation

## ◆ NearestNeighborInterpolatedLazyDataImpl()

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::NearestNeighborInterpolatedLazyDataImpl | ( | shared_ptr< const SrcMeshType > | src_mesh,
|  | const DataVector< const SrcT > & | src_vec,
|  | shared_ptr< const MeshD< SrcMeshType::DIM > > | dst_mesh,
|  | const InterpolationFlags & | flags
| ) |  |
| inline

Definition at line 458 of file interpolation.hpp.

## Member Function Documentation

## ◆ at()

template<typename DstT , typename SrcMeshType , typename SrcT = DstT>

SrcT plask::NearestNeighborInterpolatedLazyDataImpl< DstT, SrcMeshType, SrcT >::at | ( | std::size_t | index | ) | const
| inline override virtual

Get index-th value from vector.

Parameters

  index | should be a value from 0 to size()-1

Returns
  index-th value from vector

Implements plask::LazyDataImpl< DstT >.

Definition at line 462 of file interpolation.hpp.

The documentation for this struct was generated from the following file:

- plask/mesh/interpolation.hpp